%global srcname python-pysword
%global commit 50a1b1a526e5d6511555c458df754498aaa3185f

Summary: Open source python API wrapper for Sword Bible files
Name: python-pysword
Version: 0.2.3
Release: 0%{?dist}
Source0: https://gitlab.com/tgc-dk/%{srcname}/repository/archive.tar.gz?ref=%{version}#/%{srcname}-%{version}.tar.gz
License: GPLv2
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

URL: https://gitlab.com/tgc-dk/pysword

BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A native Python reader of the SWORD Project Bible Modules
Reads SWORD bible files (not commentaries etc.)
Detection of locally installed bible modules.
Supports all known SWORD module formats (ztext, ztext4, rawtext, rawtext4)
Read from zipped modules, like those available from
http://www.crosswire.org/sword/modules/ModDisp.jsp?modType=Bibles
Clean text of OSIS, GBF or ThML tags.
Supports both python 2 and 3 (tested with 2.7 and 3.5)

%prep
%autosetup -n %{srcname}-%{version}

%build
%{__python3} setup.py build

%install
rm -rf %{buildroot}
%{__python3} setup.py install --skip-build -O1 --root %{buildroot}


%clean
rm -rf %{buildroot}

%files -n %{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}


%changelog
* Sat Nov 26 2016 Tim Bentley <Tim.Bentley@openlp.org> - 0.2.3-0
- 0.2.3 Release
